-- =====================================================
--
--   Xilinx components
--
-- =====================================================
--
-- This is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2, or (at your option)
-- any later version.
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this package; see the file COPYING.  If not, write to
-- the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-- Boston, MA 02111-1307, USA.


-- $Id: xil_comps.vhd,v 1.1 2006/08/25 12:05:06 jsmrz Exp $
--
-- $Log: xil_comps.vhd,v $
-- Revision 1.1  2006/08/25 12:05:06  jsmrz
-- Added trigger edge detectors,
-- optimized timing.
--


library ieee;
use ieee.std_logic_1164.all;

entity obuf is
   port
   (
      o 	: out std_ulogic;
      i 	: in std_ulogic
   );
end entity obuf;

architecture rtl of obuf is
begin
   o <= i;
end rtl;


library ieee;
use ieee.std_logic_1164.all;

entity bufg is
   port
   (
      o 	: out std_ulogic;
      i 	: in std_ulogic
   );
end entity bufg;

architecture rtl of bufg is
begin
   o <= i;
end rtl;


